package cn.iocoder.yudao.module.product.dto;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 商品分页 Request DTO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductReqDTO  extends PageParam {

    @ApiModelProperty(value = "商品类型id")
    private List<Long> typeId;

    @ApiModelProperty(value = "商品属性id")
    //private String attrId;
    private  List<String> attrId;
    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ApiModelProperty(value = "英文标题")
    private String titleEn;

    @ApiModelProperty(value = "商品材质,字段material_type")
    private String materialType;

    @ApiModelProperty(value = "出运要求,1表示下单该类货物需要提供特定证书")
    private Integer requirements;

    @ApiModelProperty(value = "包装（字典packaging_type）")
    private String packaging;

    @ApiModelProperty(value = "图片")
    private String imgs;

    @ApiModelProperty(value = "商品编码")
    private String productCode;

    @ApiModelProperty(value = "海关编码")
    private String customsCode;

    @ApiModelProperty(value = "默认货柜位置，字典container_location")
    private String containerLocation;

    @ApiModelProperty(value = "默认方数")
    private BigDecimal square;

    @ApiModelProperty(value = "空运重量上限")
    private BigDecimal airWeightLimit;

    @ApiModelProperty(value = "是否需要预约入仓，0-否，1-是")
    private Integer needBook;

    @ApiModelProperty(value = "每日入仓上限")
    private BigDecimal dayLimit;

    @ApiModelProperty(value = "审核状态")
    private Integer auditStatus;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    private boolean filter = true;

    /**
     * 有效的transportType集合
     */
    private List<String> enableTransportTypeList;
}
